# =============================
# 资料存储数据库配置
# =============================
VEC_DB_HOST = '192.168.10.93'
VEC_DB_DBNAME = 'lae'
VEC_DB_USER = 'postgres'
VEC_DB_PASSWORD = '111111'
VEC_DB_PORT = '5433'

# =============================
# 聊天相关数据库配置
# =============================
CHAT_DB_HOST = '192.168.10.93'
CHAT_DB_DBNAME = 'lae_chat'
CHAT_DB_USER = 'postgres'
CHAT_DB_PASSWORD = '111111'
CHAT_DB_PORT = '5433'

# =============================
# 向量化模型路径配置
# =============================
EMBEEDING_MODEL_PATH = '/app/bge-large-zh-v1.5'

# =============================
# 模型服务URL配置
# =============================
LLM_SERVER_URL = '192.168.10.102:8002'

# =============================
# FAISS相似性查找配置
# =============================
SIMILARITY_SHOW_NUMBER = 5
SIMILARITY_THRESHOLD = 0.8

# =============================
# FAISS向量库文件存储路径配置
# =============================
FAISS_STORE_PATH = '/app/faiss'
INDEX_NAME = 'know'

# =============================
# 知识相关资料配置
# =============================
KNOWLEDGE_PATH = '/app/lae_data'

# =============================
# gradio服务相关配置
# =============================
GR_SERVER_NAME = 'localhost'
GR_PORT = 8003

# =============================
# prompt 配置
# =============================
prompt1 = """'''
{context}
'''
请你根据上述已知资料回答下面的问题，问题如下：
{question}"""

# =============================
# NLP_BERT模型路径配置
# =============================
NLP_BERT_PATH = 'C:\\Users\\15663\\AI\\models\\nlp_bert_document-segmentation_chinese-base'

# =============================
# ICON配置
# =============================
ICON_PATH = '/app/src/icon'